Subject: Re: bug#40279: 26.3; Error: you did not specify -i=mi on GDB's command line!

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Oct 2020 22:20:44 +0200

> From: William Xu <[email-masked]>
> Date: Tue, 27 Oct 2020 21:04:55 +0100
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > And as far as I can tell, gdb runs just fine without it, even on
> > GNU/Linux?
> 
> Without that, the gdb commands and program I/O are mixed together in the
> same buffer, so "*input/output of...*" window in gdb-many-windows will
> be empty.
> 
> It is mostly useful if there is a lot of I/O from the program. It makes
> it easier to inspect only the program I/O in that separated buffer.

No, it's useful even if the program does only a small amount of I/O,
because running GDB in the default mode on GNU/Linux lets you run the
program in the non-stop mode, where GDB and the program run in
parallel -- in that case if they both output stuff to the same file
descriptor, you will get an illegible mess.